using CityInfo.WEB.Models;

namespace CityInfo.WEB.Services
{
    public interface ICityDataService
    {
        public Task<IEnumerable<City>> GetCities();
        public Task<City?> GetCity(int cityId);
        public Task<City?> CreateCity(City city);
        public Task<bool> UpdateCity(City city);
        public Task<bool> DeleteCity(int cityId);
    }
}
